#ifndef glbf_h_
#define glbf_h_

#if defined(__APPLE__) && defined(__MACH__)
#include <OpenGL/gl.h>	// Header File For The OpenGL32 Library
#include <OpenGL/glu.h>	// Header File For The GLu32 Library
#else
#include <GL/gl.h>	// Header File For The OpenGL32 Library
#include <GL/glu.h>	// Header File For The GLu32 Library
#endif

typedef struct {
    GLuint	base;				// Base Display List For The Font
    GLuint	texture;			// Storage For Our Font Texture
} GLBitmapFont;

/**
 * font:     
 * filename: ɤ߹եȥե
 * xsize:     X ΰʸ˾񤹤ɥåȿ
 * xdots:    եȥե X ΰʸ˾񤵤Ƥɥåȿ
 * ydots:    եȥե Y ΰʸ˾񤵤Ƥɥåȿ
 */
int glbfInit(GLBitmapFont* font, char* filename, GLfloat xsize,
             GLfloat xdots, GLfloat ydots);
void glbfQuit(GLBitmapFont font);
void glbfPrint(GLBitmapFont font, char* str);

#endif // ! glbf_h_
